=== debian/changelog ===
systemimager-ssh-ia64 (3.0.0-1) unstable; urgency=low
  
  * initial release
	
 -- dann frazier <dannf@debian.org>  Sun, 05 Jan 2003 02:47:16 -0700
