=== debian/control ===
Source: systemimager-ssh-ia64
Section: admin
Priority: optional
Maintainer: dann frazier <dannf@debian.org>
Build-Depends-Indep: bzip2, debhelper (>> 2.0.0), libssl-dev, zlib1g-dev
Build-Conflicts: libc6-pic, libc6.1-pic
Standards-Version: 3.5.7

Package: systemimager-ssh-ia64
Architecture: all
Depends: systemimager-boot-ia64-standard (>= 3.0.0), systemimager-boot-ia64-standard (<< 3.1.0)
Description: SystemImager boot binaries for ia64 client nodes
 SystemImager is a set of utilities for installing GNU/Linux disk images to
 client machines over the network.  Images are stored in flat
 files on the server, making updates easy.  The rsync protocol is used for 
 transfers, making updates efficient.
 .
 This provides an optional ssh component for the image server, which 
 adds the ability to do secure, automated installs.
