=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH = $(shell dpkg --print-architecture)

NAME = systemimager-ssh
PKG = $(NAME)-$(ARCH)
VERSION = 3.0.0
BUILD_DIR = $(NAME)-$(VERSION)
UPSTREAM_TARBALL = $(NAME)-$(VERSION).tar.bz2

PATCHES=$(sort $(shell find $(CURDIR)/patches -name "*.patch"))

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	@echo -n "Extracting upstream tarball..."
	@tar xfj $(UPSTREAM_TARBALL)
	@echo "done."
	@cd $(BUILD_DIR) && \
          $(foreach patch, $(PATCHES), \
            echo -n Applying `basename $(patch)`... && cat $(patch) | \
	    patch -s -p1 && echo done. &&) /bin/true
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	-$(MAKE) -C $(BUILD_DIR) WITH_SSH=1 ssh_tarball
	cd $(BUILD_DIR) && cp CHANGE.LOG changelog

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -rf $(BUILD_DIR)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)/debian && mkdir -p $(PKG)

	# Add here commands to install the packages
	$(MAKE) -C $(BUILD_DIR) install_ssh_tarball \
	  DESTDIR=$(CURDIR)/debian/$(PKG) PREFIX=/usr WITH_SSH=1

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf

	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums 
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
